# clock_rfc2822(3tcl) 0.1 clock "Date/Time Utilities"

## Name

clock_rfc2822 - Parsing ISO 8601 dates/times

## Table Of Contents

## Synopsis

- package require Tcl 8.5
- package require clock::rfc2822 ?0.1?

- ::clock::rfc2822 parse_date date

## Description

This package provides functionality to parse dates in RFC 2822 format.

::clock::rfc2822 parse_date date

  This command parses an RFC2822 date string and returns the given date in seconds since epoch. An error is thrown if the command is unable to parse the date.

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category clock::rfc2822 of the Tcllib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Category

Text processing